jQuery(function(){
	  var appendthis =  ("<div class='cmb-modal-overlay js-modal-close'></div>");
	  jQuery('a[data-modal-id]').click(function(e) {
		e.preventDefault();
		jQuery("body").append(appendthis);
		jQuery(".cmb-modal-overlay").fadeTo(500, 0.7);
		//jQuery(".js-modalbox").fadeIn(500);
		resetCMBBox();
		var modalBox = jQuery(this).attr('data-modal-id');
		jQuery('#'+modalBox).fadeIn(jQuery(this).data());
	  });
	jQuery(".js-modal-close, .modal-overlay").click(function() {
	  jQuery(".cmb-modal-box, .cmb-modal-overlay").fadeOut(500, function() {
		jQuery(".cmb-modal-overlay").remove();
	  });
	});
	 
	jQuery(window).resize(function() {
	  jQuery(".cmb-modal-box").css({
		top: (jQuery(window).height() - jQuery(".cmb-modal-box").outerHeight()) / 2,
		left: (jQuery(window).width() - jQuery(".cmb-modal-box").outerWidth()) / 2
	  });
	});
	jQuery(window).resize();
});

function resetCMBBox() {
	jQuery("#cmb_name").val('');
	jQuery("#cmb_email").val('');
	jQuery("#cmb_phone").val('');
	jQuery("#cmb_message").val('');
}